//
//  AppDelegate.h
//  Randomise List
//
//  Created by Billy on 02/12/12.
//  Copyright (c) 2012 cyneWATCH. All rights reserved.
//

#import <Cocoa/Cocoa.h>

NSString *defaultFileExtension;

@interface AppDelegate : NSObject <NSApplicationDelegate> {
  NSMutableArray *inList;
  NSMutableArray *outList;
  NSString *result;
  NSFileHandle *iFile;
  NSFileHandle *oFile;
  NSOpenPanel *openingPanel;
  NSSavePanel *savingPanel;
}

@property (assign) IBOutlet NSWindow *window;
@property (weak) IBOutlet NSTextField *addNew;
@property (weak) IBOutlet NSMatrix *formatChoice;
@property (unsafe_unretained) IBOutlet NSTextView *answer;
@property (unsafe_unretained) IBOutlet NSTextView *currentList;
- (IBAction)insertNew:(id)sender;
- (IBAction)randomise:(id)sender;
- (IBAction)openFile:(id)sender;
- (IBAction)saveAs:(id)sender;

@end
